{%- set root_categories = shuup.general.get_root_categories() -%}
{%- import "shuup/front/macros/general.jinja" as macros with context -%}
{%- import "canvas/macros/basket.jinja" as basket_macros with context -%}
{%- import "shuup/front/macros/category.jinja" as category_macros with context -%}
{%- import "shuup/front/macros/checkout.jinja" as checkout_macros with context -%}
{%- from "shuup/front/macros/footer.jinja" import render_footer with context %}
{%- import "shuup/front/macros/order.jinja" as order_macros with context -%}
{%- import "shuup/front/macros/product.jinja" as product_macros with context -%}
{%- from "canvas/macros/navigation.jinja" import render_navigation with context -%}
{%- from "canvas/macros/timezone.jinja" import set_timezone_script with context -%}
{%- from "canvas/macros/image.jinja" import lazy_div_image -%}
{%- from "canvas/macros/image.jinja" import lazy_div_image_caller -%}
{%- from "canvas/macros/image.jinja" import lazy_img_image -%}

<!DOCTYPE html>
<html lang="{{ LANGUAGE_CODE }}">
<head>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>{% block title %}{{ request.shop.public_name }}{% endblock %} &ndash; {{ request.shop.public_name }}</title>
    {% block extrameta %}{% endblock %}

    {%- set favicon = request.shop.favicon.url if request.shop.favicon else None -%}
    {% if favicon %}<link rel="icon" type="image/x-icon" href="{{ favicon }}">{% endif %}

    {# Custom fonts: Aktiv Grotesk & Aktiv Grotesk Extended, Aktiv Grotesk Thin #}
    <link rel="stylesheet" href="//use.typekit.net/ovm1ast.css">

    {% block extracss %}{% endblock %}

    {% set conf = shuup.general.get_config() %}
    <script>var ShuupFrontConfig = {{ conf|json }};</script>

    {% if shuup.general.is_shop_admin() %}
        <script type="text/javascript" src="{{ url('shuup_admin:js-catalog') }}?lang={{ LANGUAGE_CODE }}"></script>
    {% endif %}

    <script type="text/javascript" src="{{ url('shuup:js-catalog') }}?lang={{ LANGUAGE_CODE }}"></script>

    {{ xtheme.render_custom_font_style()|safe }}
</head>

<body class="{% if shuup.general.is_shop_admin() %}admin-tools-visible{% endif %} {% block bodyclass %}{% endblock %}">
    <noscript>
        <div class="p-7 w-100 text-center lead">
            {% trans %}This page needs JavaScript activated to work.{% endtrans %}
        </div>
        <style>
            #content { display: none; }
        </style>
    </noscript>
    <style>
        .fa-envelope-o:before {
            content: url("{{ shuup_static('canvas/img/icons/icon-mail.svg') }}")!important;
        }
        .newsletter-form-with-images__form__input-wrapper .fa-envelope-o:before,
        .main-footer .footer-top .footer-newsletter .newsletter-input-wrapper .fa-envelope-o:before,
        .homepage-giftcard-newsletter__newsletter-input-wrapper .fa-envelope-o:before {
            content: url("{{ shuup_static('canvas/img/icons/icon-mail-grey.svg') }}")!important;
        }
        .newsletter-form-with-images__form__input-wrapper #newsletter-input:focus + .fa-envelope-o:before,
        .newsletter-form-with-images__form__input-wrapper #newsletter-input:active + .fa-envelope-o:before {
            content: url("{{ shuup_static('canvas/img/icons/icon-mail.svg') }}")!important;
        }
        .main-footer .footer-top .footer-newsletter .newsletter-input-wrapper #newsletter-input:focus + .fa-envelope-o:before,
        .main-footer .footer-top .footer-newsletter .newsletter-input-wrapper #newsletter-input:active + .fa-envelope-o:before,
        .homepage-giftcard-newsletter__newsletter-input-wrapper #newsletter-input:focus + .fa-envelope-o:before,
        .homepage-giftcard-newsletter__newsletter-input-wrapper #newsletter-input:active + .fa-envelope-o:before {
            content: url("{{ shuup_static('canvas/img/icons/icon-mail-white.svg') }}")!important;
        }
    </style>

    <div id="content">

        {% if not shuup.general.is_shop_admin() %}
            <div class="loading-container">
                <div class="loading-screen">
                    <div class="loading-image">
                        <svg id="loading-image" width="169" height="170" viewBox="0 0 169 170" fill="currentColor" xmlns="http://www.w3.org/2000/svg">
                            <path d="M169 169.512H0V0.511719H169V169.512ZM9.36788 160.165H159.653V9.8586H9.34689L9.36788 160.165Z" />
                            <path d="M161.022 1.89108L1.37695 161.536L7.98613 168.145L167.631 8.50026L161.022 1.89108Z" />
                        </svg>
                    </div>
                </div>
            </div>
        {% endif %}

        <a href="#main-content" class="sr-only">
            {% trans %}Skip to main content{% endtrans %}
        </a>

        {{ macros.render_maintenance_mode_notification() }}

        <div class="content-wrap">

            <div class="navigation-wrapper">
                {% block navigation %}
                    
                    {{ render_navigation(show_quick_login=True) }}
                    
                {% endblock %}
                
                <div class="canvas-dialog__page-fade"></div>
            </div>

            <div id="main">
                <div class="main-messages-wrap">
                    <div class="container">
                        {{ macros.render_messages() }}
                        {{ macros.render_errors() }}
                    </div>
                </div>

                {% block banner %}{% endblock %}

                <div class="is-animated">

                    {% block container_start %}
                    <div class="container-fluid">
                    {% endblock %}

                        <main class="main-content {% block extra_main_class %}{% endblock %}" id="main-content">
                            {% block breadcrumb %}{% endblock %}
                            {% block before_content_title %}{% endblock %}

                            {% if self.content_title() %}
                                <div class="page-header">
                                    <h1>{% block content_title %}{% endblock %}</h1>
                                </div>
                            {% endif %}

                            <div class="page-content">
                                {% block content %}{% endblock %}
                            </div>

                            {% block carousels %}{% endblock %}
                        </main>

                    {% block container_end %}
                    </div>
                    {% endblock %}

                </div>

                {% block extra_content %}{% endblock %}

            </div>
            {%- cache 86400 'footer' -%}
            {{ render_footer() }}
            {%- endcache -%}
        </div>
    </div>

    <script src="{{ shuup_static('shuup/front/js/vendor.js') }}"></script>
    <script src="{{ shuup_static('shuup/front/js/scripts.js') }}"></script>
    <script src="{{ production_static('canvas.js.gz', request) }}"></script>

    {{ basket_macros.render_extrajs() }}
    {{ basket_macros.add_product_to_cart() }}
    {{ set_timezone_script() }}
    <script>
        function updateWishlist() {
            $.ajax({
                url: "{{ url('shuup:wishlist-card') }}",
                method: "GET",
                success: function(basket_html) {
                    var $basket_html = $(basket_html);
                    $("#wishlist-products").html($basket_html);
                    window.initializeWishlist();
                }
            });
        }
        $(document).ready(function() {
            $('body').on('click', '.wishlist-container', function (e) {
                e.preventDefault();
                setTimeout(function(){ updateWishlist(); }, 350);
                var text = $(this).find('.add-to-wishlist').get(0);
                $(text).html('<img src="{{ shuup_static("canvas/img/favorited.svg") }}"' + 'alt="' + gettext('Already in wishlist') + '" />');
            });
            $('body').on('click', '.remove-container', function (e) {
                e.preventDefault();
                var button = $(this).find('.wishlist-remove-item-btn').get(0);
                var product = $(button).attr("data-shop-product-id");
                var wishlist = $(button).attr("data-wishlist-id");
                window.ShuupWishlist.removeProduct(wishlist, product);
                var buttons = document.querySelectorAll(`[data-wishlist-product-id="${product}"]`);
                if(buttons){
                    $(buttons).each(function( index ) {
                        var btn = $(this).find('.add-to-wishlist').get(0);
                        $(btn).html('<img src="{{ shuup_static("canvas/img/add-to-wishlist.svg") }}"' + 'alt="' + gettext('Add to wishlist') + '" />');
                    });
                }
                setTimeout(function(){ updateWishlist(); }, 350);
            });
        });
    </script>
    {% block extrajs %}{% endblock %}
</body>
</html>
